<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<name>Molecular Framework</name>
	<description>Molecular Framework from eurocarb</description>

	<organization>
		<name>Eurocarb</name>
		<url>https://code.google.com/p/eurocarb/</url>
	</organization>

	<groupId>org.eurocarbdb</groupId>
	<artifactId>MolecularFramework</artifactId>
	<version>0.1-b36-SNAPSHOT</version>

	<ciManagement>
		<notifiers>
			<notifier>
				<address>support@glytoucan.org</address>
				<type>mail</type>
			</notifier>
		</notifiers>
	</ciManagement>

	<scm>
		<connection>scm:git:https://bitbucket.org/glycosw/eurocarbmolecularframework.git</connection>
		<url>https://bitbucket.org/glycosw/eurocarbmolecularframework.git</url>
	</scm>

	<licenses>
		<license>
			<name>GNU Lesser Public License</name>
			<url>http://www.gnu.org/licenses/lgpl.html</url>
			<distribution>repo</distribution>
			<comments>The GNU Lesser Public License.</comments>
		</license>
	</licenses>

	<developers>
		<developer>
			<id>rene</id>
			<name>Rene</name>
			<email>r...@ccrc.uga.edu</email>
			<url>http://www.bmb.uga.edu/directory/rene-ranzinger</url>
			<organization>Complex Carbohydrate Research Center University of Georgia</organization>
			<organizationUrl>http://glycomics.ccrc.uga.edu/</organizationUrl>
			<roles>
				<role>architect</role>
				<role>developer</role>
			</roles>
			<timezone>-9</timezone>
			<properties>
			</properties>
		</developer>
	</developers>

	<reporting>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-changelog-plugin</artifactId>
				<version>2.3</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-checkstyle-plugin</artifactId>
				<version>2.13</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jxr-plugin</artifactId>
				<version>2.5</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-linkcheck-plugin</artifactId>
				<version>1.2</version>
				<configuration>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-pmd-plugin</artifactId>
				<version>3.3</version>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-report-plugin</artifactId>
				<version>2.18</version>
			</plugin>

		</plugins>
	</reporting>

	<repositories>
		<repository>
			<id>glycoinfo</id>
			<url>http://nexus.glycoinfo.org/content/groups/public/</url>
			<releases>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
				<checksumPolicy>warn</checksumPolicy>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
				<checksumPolicy>warn</checksumPolicy>
			</snapshots>
		</repository>
		<repository>
			<id>glycoinfo-thirdparty</id>
			<url>http://nexus.glycoinfo.org/content/repositories/thirdparty/</url>
		</repository>
	</repositories>

	<distributionManagement>
		<repository>
			<id>glycoinfo</id>
			<name>releases</name>
            <url>http://nexus.glycoinfo.org/content/repositories/releases</url>
		</repository>
		<snapshotRepository>
			<id>glycoinfo-snapshots</id>
			<name>snapshots</name>
			<url>http://nexus.glycoinfo.org/content/repositories/snapshots</url>
		</snapshotRepository>
	</distributionManagement>

	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source />
					<target />
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-source-plugin</artifactId>
				<executions>
					<execution>
						<id>attach-sources</id>
						<phase>deploy</phase>
						<goals>
							<goal>jar-no-fork</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<!-- 
			<plugin>
				<artifactId>maven-javadoc-plugin</artifactId>
				<executions>
					<execution>
						<id>attach-javadocs</id>
						<phase>deploy</phase>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			 -->
			<plugin>
				<!-- explicitly define maven-deploy-plugin after other to force exec 
					order -->
				<artifactId>maven-deploy-plugin</artifactId>
				<executions>
					<execution>
						<id>deploy</id>
						<phase>deploy</phase>
						<goals>
							<goal>deploy</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-site-plugin</artifactId>
				<version>3.4</version>
				<configuration>
					<port>5173</port>
					<tempWebappDirectory>${basedir}/target/site/tempdir</tempWebappDirectory>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>org.eurocarbdb</groupId>
			<artifactId>resourcesdb</artifactId>
			<version>0.3</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.2</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
			<version>2.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>2.2</version>
		</dependency>
		<dependency>
			<groupId>org.glycomedb</groupId>
			<artifactId>residuetranslator</artifactId>
			<version>0.1-b12</version>
		</dependency>
	</dependencies>
</project>
